GNU bug report logs - #46594
Use short answers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; Keywords: fixed patch; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.0.50, send any further explanations to 46594 <at> debbugs.gnu.org and Juri Linkov <juri@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 25 Feb 2021 18:47:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 13:47:58 2021
Received: from localhost ([127.0.0.1]:39250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFLg5-0007fs-OZ
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2021 13:47:57 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:46731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1lFLg1-0007fY-Dg; Thu, 25 Feb 2021 13:47:55 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 9E67A40004;
 Thu, 25 Feb 2021 18:47:44 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46594: [External] : bug#46594: Use short answers
Organization: LINKOV.NET
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN> <834ki1tggh.fsf@HIDDEN>
 <87h7m1gsao.fsf@HIDDEN> <8335xltdmi.fsf@HIDDEN>
 <87blc9gpgy.fsf@HIDDEN> <83pn0orxy6.fsf@HIDDEN>
Date: Thu, 25 Feb 2021 20:45:59 +0200
In-Reply-To: <83pn0orxy6.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 25 Feb
 2021 17:04:01 +0200")
Message-ID: <87zgzsasuw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: larsi@HIDDEN, 46594 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

tags 46594 fixed
close 46594 28.0.50
quit

>> Sorry, this fixes the omission:
>
> Thanks.

Now pushed to master and closed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 25 Feb 2021 16:40:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 11:40:56 2021
Received: from localhost ([127.0.0.1]:39093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFJhA-0000QN-Hm
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2021 11:40:56 -0500
Received: from aserp2130.oracle.com ([141.146.126.79]:36638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lFJh7-0000Q9-Pb
 for 46594 <at> debbugs.gnu.org; Thu, 25 Feb 2021 11:40:54 -0500
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11PGdAkH033568;
 Thu, 25 Feb 2021 16:40:47 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=ZhQOurYKXmHrvSci1+043g/UuIy6uWBd+dyGHl/3O1U=;
 b=MIN6Hr/b96ZJi+3aVQR8IxGhm+ks5NywMxCtdOIGLwX4vNh+XDY/1jUO9Xt75eMREDho
 eiJibW0JMtOhPJSAoox7frJ/MCVy4xT+fRyoelAHXew5dOBKMp/qpzRGFtDeegxxUX20
 8pgLONG5n0Bje9oIvInh6+oZ8GOFwUjk0cQ9NY/x0pbPPIipwH/Zy8y6Sz8Z6X+jJL3B
 1HchLhjCzRmITxizSkiHx2wIci4+gL8qwgdsHxacGQ4cN1MrdRA7ucADBGJl3jl7BBnD
 /HbbJEBWu20fo2xAXrfXd96lMbTLA+LgKrFTd7QPjoScAlXKOKKcrWen+sZp+GhFAWLx Zg== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2130.oracle.com with ESMTP id 36vr629f76-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 25 Feb 2021 16:40:47 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11PGec1l106074;
 Thu, 25 Feb 2021 16:40:47 GMT
Received: from nam12-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam12lp2172.outbound.protection.outlook.com [104.47.59.172])
 by aserp3030.oracle.com with ESMTP id 36v9m7g6yc-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 25 Feb 2021 16:40:47 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KZ+RkQvT0pGx1ROazevox7CCHifNebSxxhyMz7IS4hSmD3Qcw+6+0LzsfzhIh344ViWhs3SZTQyTKNs81O8boUjSaxKKI192bWeM6+3cxrDFkxiFDvJBv4pwTucVPjV6RIa8gdnVW7gw2jnejuu/dqdTOy6qDWNadhMWfqXkyRs7MYsdin8A3ngxIs+w22svYRfE1JHe2iWeq7k/FkXGEzjC3JA2aUdrW6O+FpWeZ1rSrsUHRDtHmLwTng57OhFbBeDLsT8gV3Y7U3MTafN/YMwufVs+Dhu5SXWTab7RN9ULbc6vwG6gGhYnQyeN9/RS7dlAPaU2Ds+2eUHt3qnbbg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=ZhQOurYKXmHrvSci1+043g/UuIy6uWBd+dyGHl/3O1U=;
 b=V2Q+Tvqa+xX0uqfYd6nko0i/t9qg1C1X9JpdmQqsbCyx/1buyfM76LzEYmh8GUfKybmL+ON2NVtowVgJ5zNLeNPwWUEuwX99TGrFo9MQTVmOgQCV2Q6y3yy19mGpwydlH0szPmRPqIiPTO7NqY/2OwuaiNUwe3HCkQ7I4Jtq6n3Py4LrAxXpC6E07oi3bqV6i1TTbzwp4mpBNGUfD0TAak0iDbfTT+7NFLTM9Lj/7BrkukKRpA9rHysh/kW+5OGqfU6u2DyMUex5GWFgl4UiPNiWNZDO7eKcp5q/TH6gWSSSJ4hDXZ+l65W/KsTG3dfCw7n5e/Zs7KQB6J4J86dllA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=ZhQOurYKXmHrvSci1+043g/UuIy6uWBd+dyGHl/3O1U=;
 b=TWu/QUdege/4bRxhFKmVXydCtZKQK14dVECiAds6llQqezLdZ3KC26NGyxjhfLzMoSGvXX9iOW0NnPkXMJBFG5Vt1b9moAvqzamOOpQJEN3mVbRXaKP5ErSoVFR6/5Ws32gKZAQ1rgBT0RUZrE3JaaKz+8QLgOrrWOcVSK8I20Q=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4764.namprd10.prod.outlook.com (2603:10b6:806:115::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3890.20; Thu, 25 Feb
 2021 16:40:45 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.034; Thu, 25 Feb 2021
 16:40:45 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: [External] : bug#46594: Use short answers
Thread-Topic: [External] : bug#46594: Use short answers
Thread-Index: AQHXC1e8ndOHpj+XQ0iUVaUxuoP1tqppEm5g
Date: Thu, 25 Feb 2021 16:40:45 +0000
Message-ID: <SA2PR10MB44744A247132D166251E88F5F39E9@HIDDEN>
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN>
 <SA2PR10MB44747CFABF3AEF3D992B097EF39F9@HIDDEN>
 <87a6rsec65.fsf@HIDDEN>
In-Reply-To: <87a6rsec65.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 53085bc3-5fed-41de-4ee5-08d8d9ac1970
x-ms-traffictypediagnostic: SA2PR10MB4764:
x-microsoft-antispam-prvs: <SA2PR10MB4764759B6AA06450A0FB6AEAF39E9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6108;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: wo+luw2hCIdXnZK9/le13GqM5RUcxPMnflVIo/zOrXHAfyR2N+ngPJ8i0kAATPEd2uYAEhdvZXhIjx1fN+eoioLSbrUDSwb2eBboLHQe8hKEbvnF9gUglm2FK1QSpQLuTVk6lCHDrRZFJmUgA78hUIfW5T6Xq+EVlIRa0Zqtm9RxeWOxAy+oo5XGmByNoIuaQhMi2dFutqNDiwX7pXiHi4Q8fPvxN6c/deHkcTxt5iL2hQq8pNXgvYx1NslJCu+ffAGefWgK1Y/v01HAQTDrYt7QnASPwSFaRiq3vpv1LH65ue9cnpvSBkLCVC52ARbBxbQ5Ra4Wn/eoQu/SZZt/o1KSyjI90J+MgHVbW3twPw/TdEtzkYTA+KgpqQLTv0jFBPWwu2V5H7EARG3kWl8mjcBJgYZ1mKdqELLCoOZ2K+corIo4l34oaxDqMKwekia8p84DsWI2+LnhQydDMWbjMbd41oyAACbidZ+Cf3MOJU6HSXxWjvB4wcrfZQhFFrrIwdp2Kg4ajCaMnfioT0t33g==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(366004)(376002)(346002)(136003)(39860400002)(6916009)(8676002)(8936002)(83380400001)(6506007)(316002)(186003)(71200400001)(26005)(66476007)(76116006)(33656002)(66946007)(44832011)(4744005)(55016002)(86362001)(4326008)(2906002)(52536014)(9686003)(478600001)(64756008)(7696005)(66556008)(54906003)(66446008)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?U1FWazUyemdPQU0zZ3FiNlJTU1FYNFprQ2Z6MjhDZ1UzT245a0gvQW5zK1pq?=
 =?utf-8?B?VUlBcUhrUGkwWUo2Zys4VkxROUFKc25ZQjRBek1qa3lidTMwSWdJK2M3R1B4?=
 =?utf-8?B?enNnVFJZaWJocGhpNjc1NnhEVlp2TUZ4eFk3NlJubkU1RUhEZERMR1c2NWR2?=
 =?utf-8?B?OHFEOUNacSt0TFhEZWNobUtXWEhlQ0VPVkFhYUVNeWNuOUxzL0d3NU16VU1J?=
 =?utf-8?B?dm5RcWRNRktaM2J1ZFJsMnZ4NnBCZllkbk11S21Lc0xUbXRJcGJhakFXWUVj?=
 =?utf-8?B?eC9HbWZEY01VOWtINXNIdSs1MlBFWTRtTzBhQmJrcWJZZ1pWUSs3czdsWXlQ?=
 =?utf-8?B?VUxsdGpNa1g1QVhnRlVmSTI0TjMremp5UUF1WGdoSGpMK2xpb1duTTZsbWpF?=
 =?utf-8?B?bk9wTW1TaEc3RkV2bUt5TFZPYzNueDRhU0xxZ2xEZ3owc1NMUTEwRW5FVkdD?=
 =?utf-8?B?VVprcGpsVjRpR2theXlrNXFMbW5COGlpRHdOTVBuSHRmTlRxMjJXU2lPUUE2?=
 =?utf-8?B?d2NKblk2UkpmSEhsdCtvbXIwUk15dEFsNkdmaks1Qm1OV0ZOTDN0a3owdG9L?=
 =?utf-8?B?UlYwbGR5VktHRXFTSllzVXFmU04wazlXc1lQQkZ2cldVeERuQ1dsYTNpTDkz?=
 =?utf-8?B?RjJEbEdKcm9vblVBdjJLOGlMbUt3YW5Zc0pYL040RE5peVVjR0JQc1A4blBW?=
 =?utf-8?B?SnJjZGtTN3cwdFFvSTlCb2NLN3ZsZzg2NjlPWG1jUTdub0dZTTc5Z00rMDR2?=
 =?utf-8?B?ZVkvbVZSNnJLRlcyYjVZdEluUDRmZ2dYUTBvejFVYmNUa1lZOHg0ajRvQ1VD?=
 =?utf-8?B?YTBJdzVzRHh1UnhKQ2x2cUlFcC9EMWZRUFAyZWltV3NaaGo1dHRsUzBMcUdH?=
 =?utf-8?B?WThLQVVZYW9DK3ZsY3lRREQ1NDIxVHMyVUE5cHIrVEFDM0hLY1BRamk3cGgv?=
 =?utf-8?B?dHpYbkRna0RRcnFsaGFzRUJpSW1vWW5qdk52Nk0wYUUrNzQxZnJvY3JOekZx?=
 =?utf-8?B?UU1zL0pvekYxSWpkUHc1WCtRSFYzbDMzTXRvdUNFUGtjZDRBczVFYm4rVnpM?=
 =?utf-8?B?Z2I4eEtqU1p4cXdOd09BVjdOOU1reTg1a1o4NkZIS3ZNZE92QlRRRHFpeWpI?=
 =?utf-8?B?Y0RtcTFlSFpXcmlSVEJlS2pudXBmeWhNMkRnbUhsM3dZdHlWeldNNnBGQi9j?=
 =?utf-8?B?TUJxUk9iTXNCUmUwUjdDRlRlZG44MURRRjdDTlVCNkFtenRPbmFCWDBoSHdl?=
 =?utf-8?B?L200V2JmRGtadWVzQUNpNE5xTDR4c2RwVVJhVmVEVGh6aG5xOTJWbGhibmlj?=
 =?utf-8?B?NlBwVU9wM1hBMFR3d0MyVFE0UkFPQXorbmRQeVNhcEhyUXYxSGtqUGk1bU9M?=
 =?utf-8?B?aFo5cnVnWlVRNjZGdzA4Smx6SWJZK1JTY1hUOUEwd0tYZkNPclk0dFFkb25I?=
 =?utf-8?B?RVJDK0NsejFFMTBvQXNJeEM1R2pPUlFvMzlEQ2wyNjUvM2ZicTJIbXNkL0Fm?=
 =?utf-8?B?UzdNMVdYQUIzK2daNm1uUWFBcjZBbkNlSE1NRWpSdFVxdXZIZlh3bkk5TTFp?=
 =?utf-8?B?YXpOaDZwQ3E5UDFLb2RERW9RKzRnbjN3ZytObURqb0tqQXFYWXdKYjFZOUxx?=
 =?utf-8?B?Qmh1VExVNStsc1A4Y2ovdmhKUnB2OHMrak9QSjhnT0ZCVURBZzRFV0FCVFNE?=
 =?utf-8?B?eU1DWnIzamxUS09XSmVIMnk4UlZXa2lkWG1zek96bCtOK0ZkcWI2TzlKWEdB?=
 =?utf-8?Q?Q0cAgHd2q8ivcDh832YafDobvWJ1GeBTrylkXW2?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 53085bc3-5fed-41de-4ee5-08d8d9ac1970
X-MS-Exchange-CrossTenant-originalarrivaltime: 25 Feb 2021 16:40:45.6481 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: AsYwmdkEnDw+LNj1386z26f5efTIufOzcx+dY9JDn8POePgIBQNAfyd7hx/UmBIkLWu3Rc77zg+uUknULJ5ZMQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4764
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9906
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 adultscore=0
 suspectscore=0 mlxlogscore=818 mlxscore=0 spamscore=0 bulkscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102250129
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9906
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 bulkscore=0
 clxscore=1015 mlxlogscore=999 lowpriorityscore=0 phishscore=0
 impostorscore=0 adultscore=0 mlxscore=0 priorityscore=1501 malwarescore=0
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102250129
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46594
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "46594 <at> debbugs.gnu.org" <46594 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiBmcm9tICIoZW1hY3MpIFllcyBvciBObyBQcm9tcHRzIjoNCj4gDQo+ICAgVGhlIHNlY29uZCB0
eXBlIG9mIHllcy1vci1ubyBxdWVyeSBpcyB0eXBpY2FsbHkgZW1wbG95ZWQgaWYgZ2l2aW5nDQo+
ICAgdGhlIHdyb25nIGFuc3dlciB3b3VsZCBoYXZlIHNlcmlvdXMgY29uc2VxdWVuY2VzOyBpdCB0
aHVzIGZlYXR1cmVzIGENCj4gICBsb25nZXIgcHJvbXB0IGVuZGluZyB3aXRoIOKAmCh5ZXMgb3Ig
bm8p4oCZLg0KPiANCj4gTm93IEkgbm90aWNlZCBpdCBoYXMgImlmIiBiZWZvcmUuDQoNClllcy4N
Cg0KICB3b3VsZCBoYXZlIHNlcmlvdXMgY29uc2VxdWVuY2VzID0+IHllcy1vci1uby1wDQoNCkJ1
dCBub3Q6DQoNCiAgeWVzLW9yLW5vLXAgPT4gd291bGQgaGF2ZSBzZXJpb3VzIGNvbnNlcXVlbmNl
cw0KDQpUaHguDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 25 Feb 2021 15:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 10:04:28 2021
Received: from localhost ([127.0.0.1]:38971 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFIBo-0004Gu-4D
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2021 10:04:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lFIBj-0004GW-Gs
 for 46594 <at> debbugs.gnu.org; Thu, 25 Feb 2021 10:04:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57136)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lFIBc-0002SA-Ej; Thu, 25 Feb 2021 10:04:16 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2608
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lFIBb-0005ls-RD; Thu, 25 Feb 2021 10:04:16 -0500
Date: Thu, 25 Feb 2021 17:04:01 +0200
Message-Id: <83pn0orxy6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87blc9gpgy.fsf@HIDDEN> (message from Juri Linkov on
 Wed, 24 Feb 2021 22:50:21 +0200)
Subject: Re: bug#46594: [External] : bug#46594: Use short answers
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN> <834ki1tggh.fsf@HIDDEN>
 <87h7m1gsao.fsf@HIDDEN> <8335xltdmi.fsf@HIDDEN>
 <87blc9gpgy.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: larsi@HIDDEN, 46594 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Cc: drew.adams@HIDDEN,  larsi@HIDDEN,  46594 <at> debbugs.gnu.org
> Date: Wed, 24 Feb 2021 22:50:21 +0200
> 
> >> This is not only about about y-or-n-p/yes-or-no-p.  It also affects
> >> the function 'read-answer' and its option 'read-answer-short'.
> >
> > Then why neither NEWS nor the doc string mention those other APIs?
> 
> Sorry, this fixes the omission:

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 25 Feb 2021 09:22:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 04:22:20 2021
Received: from localhost ([127.0.0.1]:36654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFCqi-0001RW-8u
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2021 04:22:20 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:38095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lFCqf-0001RD-QF
 for 46594 <at> debbugs.gnu.org; Thu, 25 Feb 2021 04:22:18 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 9C3DD20010;
 Thu, 25 Feb 2021 09:22:09 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : bug#46594: Use short answers
Organization: LINKOV.NET
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN>
 <SA2PR10MB44747CFABF3AEF3D992B097EF39F9@HIDDEN>
Date: Thu, 25 Feb 2021 11:20:34 +0200
In-Reply-To: <SA2PR10MB44747CFABF3AEF3D992B097EF39F9@HIDDEN>
 (Drew Adams's message of "Wed, 24 Feb 2021 23:55:30 +0000")
Message-ID: <87a6rsec65.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "46594 <at> debbugs.gnu.org" <46594 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I'm not sure we should include this:
>
>   and giving the wrong answer would have serious consequences
>
> That's not necessary, IMO.  Not even if you change
> "would" (which is wrong) to "could".

I copied this text verbatim from the Emacs manual
from the node (info "(emacs) Yes or No Prompts"):

     The second type of yes-or-no query is typically employed if giving
  the wrong answer would have serious consequences; it thus features a
  longer prompt ending with ‘(yes or no)’.

Now I noticed it has "if" before.

> It's enough to say that presumably yes-or-no-p is
> used so you take time and perhaps think more about
> the answer.  No need to imply serious consequences.
>
> Why do we say this?
>
>   In this case it means also obeying the value of
>   `y-or-n-p-use-read-key'.
>
> Doesn't that follow, if the behavior is that of
> y-or-n-p (I don't know)?  If it does, then just
> refer them to the doc for y-or-n-p; don't repeat
> any of that doc here.

Ok.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 24 Feb 2021 23:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 18:55:42 2021
Received: from localhost ([127.0.0.1]:36226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lF40M-0002iz-2a
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 18:55:42 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:35916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lF40K-0002im-3M
 for 46594 <at> debbugs.gnu.org; Wed, 24 Feb 2021 18:55:41 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11ONtWBD117452;
 Wed, 24 Feb 2021 23:55:32 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=BNrNjXqDtPOccdbkI68d9x0AzWQLniyWk3rzS59v+fg=;
 b=vqkoOUvzqaAnoZo38VXtkyGO53bSkEgEhWpEhcfNG8BYcy3EeQEgT+2JA/KRvF1BDzye
 yqpoIA325P2eza/iYloa/zYl8rZytj7v+NLsyjA2cD0rZAFwAEynIolE5TSdjAWPVB2j
 IkYP34QTOtbBqGGM2eRwU2JibApvkNZsnB8+iC29Zd21reeHGYqg77e8+OsRUJVar3w0
 f9fSsNEXgu2duHgBbifnfTsHKcycllQapxfAxxlvA3PlSiMNAqMEwCAHZrX+orENqrV/
 AKgV8NNLHVIJmAkfFEQSCdW3lQd10zDAX6bjTOi3QJ6/q/LGV4RMbKW5727GqRtVJDZL Nw== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 36tsur4s6p-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 24 Feb 2021 23:55:32 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11ONoCRo031116;
 Wed, 24 Feb 2021 23:55:32 GMT
Received: from nam12-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam12lp2168.outbound.protection.outlook.com [104.47.55.168])
 by userp3020.oracle.com with ESMTP id 36uc6tscua-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 24 Feb 2021 23:55:32 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=NeU28rPVeVdaPMygyRxGklccvsltawzbV9A80fCcBIBXV2tEUkK6kBnfPHzJydJC7IBnt+QcLz92iGsUuh9h4jxreD2jx0dVC/K5rIq7iP8vRma1bbi/2ufvFIPtyGkvbIwiRC6YCWOyl6AWjPmg5y593NFh3uV2N3PfJI7u29Fhm70OLWv4hhTqGA/0pTutT2nRkhs6JbEalpUkEf1n1islz4qzG+FHRYH0kdoG9wcwzhfxlH9Nq0yE9duLcMQmayV0SNVEcB3iV9KQJX7qYvCPjRQWxglrVwETZesUmxasio+naWBoKX1pFo9fAuI1SbKpNM2kY2D5BNodzszGGQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=BNrNjXqDtPOccdbkI68d9x0AzWQLniyWk3rzS59v+fg=;
 b=eoZC5JUkaZeR3TgKGPcRZxOCcjtTuEybbT9SSrpG152ZkcuUbFM+9LIpzRTAXXcgHZFrLIHHlzu2geVBKCPmAUrQlttHJSpTABJnZJJ7gwS1DcOam3DyCQ4qPkcn65PGHqHaOTJsNxS6875fx2U3Mtai75pk7rGBZkgGtYhsS9t+E3l3OUCl25yAeAX3Xrp9PlR6H7FvU8JazTiK4j5NTP1wH73j3VSMjyhHYqv8i+1PmxZkEarw8v0Z8w+U27SDzul5pB/Cbz0tB8Bfpt+pyrez9o1rWpw6KVMTUF8vtq9K85/V3zUokSodHl/UV2gDcBp6qJeUJSK1PN0gLjGnPQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=BNrNjXqDtPOccdbkI68d9x0AzWQLniyWk3rzS59v+fg=;
 b=fRNUgi3IFzc//zFZXZXfc1GKgm0xoyBuwmE0W/zVunRycUTQQ6Nv1Yuny5X6hKtXFU9uXWHRzCAjBWHEqWakt2hZCj8J+/JOHbsgI47gfe+ArT5H/XsN1RJxSgGysOJVTay4SxmGb1iQ/4oFe1lx1OzGbCdZzj1l/ysk0VzozmQ=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2640.namprd10.prod.outlook.com (2603:10b6:805:49::17)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3890.19; Wed, 24 Feb
 2021 23:55:30 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.032; Wed, 24 Feb 2021
 23:55:30 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: [External] : bug#46594: Use short answers
Thread-Topic: [External] : bug#46594: Use short answers
Thread-Index: AQHXCt2VZr5CpA/GQkqMlbrvWFAwjKpn9uUg
Date: Wed, 24 Feb 2021 23:55:30 +0000
Message-ID: <SA2PR10MB44747CFABF3AEF3D992B097EF39F9@HIDDEN>
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN>
In-Reply-To: <87v9ahi9uk.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 5c5c08a8-f350-49b6-de38-08d8d91faa9c
x-ms-traffictypediagnostic: SN6PR10MB2640:
x-microsoft-antispam-prvs: <SN6PR10MB2640566D55524DFFC8E12A10F39F9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: cPgU97h0P70MM3kaiU4VhuLUw253xt6RXMLDvmUxjw7g7GaLBgG1XvzS3PYh5KABemMAo5q19CVcIEKvCjcFt5ORpS1hL9EBsCyJruo8e6Y0xwzdTBVcdGxps5wLtRGnMR6/lrUkS4yp+QXZJLhRFSwkba7WUaMioTNjpReYnpCLnIblnK974Zf7/ri951v+M2Q2kUF0n98Kxqhhyt1wvy4wxmQABZ3hlOiaHydI3tv19bShswM0hUbL4JSwIg7w1fhyf+LJrAmkODTyfyq+4jL6am5uvq5iM7SZ0SBgBWSuKXNosDQ/YZRErst54FFEGkaW9fkEOnomehY6q5uQDao6lvf5QHdvJEsdfu680GDQ+mymCnQAjhL7fHKJ3hEMz0qmd0HWKnlXt/nCsUJ5vWkrVUgDyxjkAqxk90OWK10+cqveeFgPehwH1Xu8CI9sYCKEw5h4UfJuln40Mt5k3Lbm4vMSv6PBpf1Jzy7+GGHs1WDci8ZmgY66SnbFDQdKv2Bi+A8libULCOZSaiXV+Q==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(346002)(376002)(136003)(366004)(39860400002)(396003)(55016002)(33656002)(26005)(8936002)(64756008)(5660300002)(9686003)(76116006)(52536014)(66946007)(66476007)(6506007)(8676002)(66446008)(2906002)(7696005)(66556008)(4326008)(186003)(83380400001)(478600001)(71200400001)(316002)(6916009)(54906003)(86362001)(44832011);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?Une0JhDNASGwxy1rjjis+f+xpochMjVWT/1U1LeBXCAZiWtN80Pr3v4ZSbLQ?=
 =?us-ascii?Q?HybTX4L3rjd3lMVWH/nbEwEKkuywVlhesVMho3D5cErUiPfX/LiYaG7caFJL?=
 =?us-ascii?Q?lUTHkoMnZ9p5li4ZUCoceRduIRNsHkvsSUnxRWTxTDMm8H2/UMag4tubEmff?=
 =?us-ascii?Q?PdjbX5Sz0eU60b+LM2uT8gFBWUuLtE+DWSsHG+ioc1IFzBuFyAyEyznLzD82?=
 =?us-ascii?Q?RI2LFhek30pDDf1vT8EI8MvZrSv8oTaeSAUgOn9kJ8pSNxKnC5SSzQdHk5Xd?=
 =?us-ascii?Q?3G8/Qst2hWzdx3vugM6kH0JbgqK9ec8tx8QiHePMBwWi2UW2l/nrmuI1FpmR?=
 =?us-ascii?Q?mO/cUpRcUQOoU9LxmqU2UvsuWPDpwMvGsbXH0GY1UsNmW6Ob3Hz+GwFq1528?=
 =?us-ascii?Q?r+CJKHHORHXAihbkn+5F+6lLNqhSKbuHxnVyMsXKFQag+SC/IVc0SqRrDWq5?=
 =?us-ascii?Q?pHgvTaOabapk+L0NA60DTMkLyiABFWkw76q0nZ5Pan/BOC4mVLpFIUhwalyT?=
 =?us-ascii?Q?OzopPUOc89A2hHkmkrIAmTbW5gmMp9Da49szH52rqHyLyTZiKI+XKs0a/aMd?=
 =?us-ascii?Q?hPfN30XQ0DzARLX+Ra+LUk+Naq48bPOTJCeGFk8Y/mOkhQGVuEJFK8n/neYF?=
 =?us-ascii?Q?gANA42qgprfslHRZN3+3mIa9NsWP63+eLaNaHAm0GdzJiHATLulhMcznOQk0?=
 =?us-ascii?Q?1pgL+zqgfYp3OEH0OfZ9w8v3BOEe2Zox9fO3cd2B/+b3njac9tymduf6wkni?=
 =?us-ascii?Q?R6CCKJeNm9kuwukhDK+uV6rbooQQouVJ9xqjeYsy0v2m/8B4gwFHWQgZxOIc?=
 =?us-ascii?Q?tM28BZa6I7zSqWejt9/+XfFS4IiBZbpGZfZmTdSVYyqpAnK6c58Uujyg9JMl?=
 =?us-ascii?Q?eDDAsg10ZOkCkEDnz+1Ar04yayfFBgL5eAXyKCGy8obIxTWsaGyqW+PHATfN?=
 =?us-ascii?Q?CD1dzDq/ukNDsEzyHzVrXZvo2Ec0AJP8gRmcifWIemoYJ+Ix4EfHmMnJdcVU?=
 =?us-ascii?Q?lm/cZeW8IcTvULN1S7qVzL/w+AAGEotI4cCoTwuOMThwbO3RBC/zYx5WSeeD?=
 =?us-ascii?Q?OcjM3goJ+2Ks2DAiFgV+baLf9btmWeKmJRk3AIWMEF0atDETMYqIUDVPk2eQ?=
 =?us-ascii?Q?Zyy6GBTqKFv3r8vgmHG9uhJ76yeYMD3kZgbVhseyA2h8ZF+rX5v9MGVYPNB0?=
 =?us-ascii?Q?zyA9ja2Pt1xESlsG0u8sB0586DXkOzMfwD2Q5ajeEb+6eRRHDDnpjlU7SCDN?=
 =?us-ascii?Q?5c0f/bw5sPwE3AlvDm6K06ipwXxSdmwfDdyLy8hI8ZY/nLmkX1dYED3SGB0N?=
 =?us-ascii?Q?fY1uHZFjM+IHkSgLTPO27jyZ?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 5c5c08a8-f350-49b6-de38-08d8d91faa9c
X-MS-Exchange-CrossTenant-originalarrivaltime: 24 Feb 2021 23:55:30.1351 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: XWC5vMlW4iNR2V1GkitI+j8Br80OGuu13DJ3wXiTjqaGeoZsesLZO4x0yzyFsYN3ZZztzfBMNf7d4EN5UXKEGQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2640
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9905
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxscore=0 spamscore=0
 mlxlogscore=999 adultscore=0 bulkscore=0 malwarescore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102240186
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9905
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 spamscore=0
 priorityscore=1501 impostorscore=0 bulkscore=0 mlxscore=0 malwarescore=0
 clxscore=1015 phishscore=0 mlxlogscore=999 lowpriorityscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102240187
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46594
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "46594 <at> debbugs.gnu.org" <46594 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > I think that the doc for this option should explicitly discourage
> > using the value that abbreviates, and say why.
> >
> > It should say that `yes-or-no-p' is _intended_ to be used when it's
> > thought that you should not respond too quickly.  At least point that
> > out, for users to think about before customizing.
>=20
> Thanks for suggestions.  Now below is a new patch with these changes.

I'm not sure we should include this:

  and giving the wrong answer would have serious consequences

That's not necessary, IMO.  Not even if you change
"would" (which is wrong) to "could".

It's enough to say that presumably yes-or-no-p is
used so you take time and perhaps think more about
the answer.  No need to imply serious consequences.

Why do we say this?

  In this case it means also obeying the value of
  `y-or-n-p-use-read-key'.

Doesn't that follow, if the behavior is that of
y-or-n-p (I don't know)?  If it does, then just
refer them to the doc for y-or-n-p; don't repeat
any of that doc here.

> > Presumably this option is being added because there are apparently
> > a lot of users who don't want to be slowed down by `yes-or-no-p'.
> > But that's exactly the point of `yes-or-no-p'.
>=20
> For many users using longer answers doesn't protect from mistakes.
> Sometimes I execute a command without verifying if it's right,
> e.g. first running a harmless command, then a more dangerous,
> then I forget about the last command, and thinking that the last one
> was the harmless command, quickly type a key sequence 'M-! M-p RET'.

Yes, but this is a gross hammer (IIUC), just like
defaliasing is.  The fact that some particular
author chose yes-or-no-p for some command, and
some particular user wants y-or-n-p instead for
that command, means that they don't have the same
judgment.  And yes, the user's will should prevail.

But does it follow that because of that occurrence
our user wants to make all yes-or-no-p act like
y-or-n-p?  I think we both agree that use of one
or the other is a judgment call.  What we should
do, IMO is twofold:

1. Discourage blanket aliasing (whether by an option
or another way), to replace all yes-or-no-p by
y-or-n-p behavior.

2. Provide a way for users to establish their
preference for a given occurrence.  Not provide
only a way to replace ALL yes-or-no-p behavior
with y-or-n-p behavior.

How to do #2, I don't know.  Give users some
way to be asked what they want?

E.g., yes-or-no-p could accept some input besides
"yes" or "no", which would cause them to be
prompted whether to change THIS occurrence to
y-or-n-p behavior, or ALL occurrences, or cancel
(no change - return to yes/no prompt).

I don't think this is a great solution, but I
do think that we should try to find some way to
accommodate #2.  It's not right to just give
users defaliasing as the only solution.

Another possibility, for part of this, would be
to have your variable accept a value of `ask',
which would prompt as just mentioned (e.g. the
first time for a given occurrence).  IOW, let
users choose, for the option: (1) replace always,
never asking, (2) ask about replacing for an
occurrence, or (3) no replacement and no asking.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 24 Feb 2021 20:51:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 15:51:00 2021
Received: from localhost ([127.0.0.1]:36062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lF17c-0006n4-CQ
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 15:51:00 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:49021)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lF17a-0006mr-JE
 for 46594 <at> debbugs.gnu.org; Wed, 24 Feb 2021 15:50:58 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 9F8E61BF206;
 Wed, 24 Feb 2021 20:50:50 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46594: [External] : bug#46594: Use short answers
Organization: LINKOV.NET
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN> <834ki1tggh.fsf@HIDDEN>
 <87h7m1gsao.fsf@HIDDEN> <8335xltdmi.fsf@HIDDEN>
Date: Wed, 24 Feb 2021 22:50:21 +0200
In-Reply-To: <8335xltdmi.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 24 Feb
 2021 22:27:49 +0200")
Message-ID: <87blc9gpgy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: larsi@HIDDEN, 46594 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

>> This is not only about about y-or-n-p/yes-or-no-p.  It also affects
>> the function 'read-answer' and its option 'read-answer-short'.
>
> Then why neither NEWS nor the doc string mention those other APIs?

Sorry, this fixes the omission:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=use-short-answers-2.patch

diff --git a/etc/NEWS b/etc/NEWS
index caa366aaef..1ec080a6db 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -2414,6 +2414,11 @@ and display the result.
 When non-nil, then functions 'read-char-choice' and 'y-or-n-p' (respectively)
 use the function 'read-key' to read a character instead of using the minibuffer.
 
+---
+** New variable 'use-short-answers' to use 'y-or-n-p' instead of 'yes-or-no-p'.
+This relieves of the need to define an alias that maps one to another
+in the init file.  The same variable also affects the function 'read-answer'.
+
 +++
 ** 'set-window-configuration' now takes an optional 'dont-set-frame'
 parameter which, when non-nil, instructs the function not to select
diff --git a/src/fns.c b/src/fns.c
index c16f9c6399..7c35957e0f 100644
--- a/src/fns.c
+++ b/src/fns.c
@@ -5904,6 +5909,16 @@ syms_of_fns (void)
 this variable.  */);
   use_file_dialog = true;
 
+  DEFVAR_BOOL ("use-short-answers", use_short_answers,
+    doc: /* Non-nil means `yes-or-no-p' uses shorter answers "y" or "n".
+It's discouraged to use single-key answers because `yes-or-no-p' is
+intended to be used when it's thought that you should not respond too
+quickly, and giving the wrong answer would have serious consequences.
+When non-nil, it uses `y-or-n-p'.  In this case it means also obeying
+the value of `y-or-n-p-use-read-key'.  The same variable also affects
+the function `read-answer'.  */);
+  use_short_answers = false;
+
   defsubr (&Sidentity);
   defsubr (&Srandom);
   defsubr (&Slength);

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 24 Feb 2021 20:28:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 15:28:19 2021
Received: from localhost ([127.0.0.1]:36031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lF0le-0006Ei-MV
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 15:28:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lF0lc-0006EV-AR
 for 46594 <at> debbugs.gnu.org; Wed, 24 Feb 2021 15:28:17 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40984)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lF0lV-0001Hq-08; Wed, 24 Feb 2021 15:28:09 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1924
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lF0lT-0000M7-Gu; Wed, 24 Feb 2021 15:28:08 -0500
Date: Wed, 24 Feb 2021 22:27:49 +0200
Message-Id: <8335xltdmi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87h7m1gsao.fsf@HIDDEN> (message from Juri Linkov on
 Wed, 24 Feb 2021 21:49:19 +0200)
Subject: Re: bug#46594: [External] : bug#46594: Use short answers
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN> <834ki1tggh.fsf@HIDDEN>
 <87h7m1gsao.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: larsi@HIDDEN, 46594 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Cc: drew.adams@HIDDEN,  larsi@HIDDEN,  46594 <at> debbugs.gnu.org
> Date: Wed, 24 Feb 2021 21:49:19 +0200
> 
> >> +** New variable 'use-short-answers' to use 'y-or-n-p' instead of 'yes-or-no-p'.
> >> +This relieves of the need to define an alias that maps one to another
> >> +in the init file.
> >
> > is this only about y-or-n-p vs yes-or-no-p?  Or do we expect to use
> > this variable for other answers?  In the former case, perhaps the name
> > of the variable should include "yes-or-no" somewhere, since
> > "use-short-answers" sounds too general to hint on its use, IMO.
> 
> This is not only about about y-or-n-p/yes-or-no-p.  It also affects
> the function 'read-answer' and its option 'read-answer-short'.

Then why neither NEWS nor the doc string mention those other APIs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 24 Feb 2021 19:50:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 14:50:19 2021
Received: from localhost ([127.0.0.1]:35990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lF0As-0005MO-Pi
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 14:50:19 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:59299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lF0Ar-0005M8-7G
 for 46594 <at> debbugs.gnu.org; Wed, 24 Feb 2021 14:50:17 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id B5BAD60003;
 Wed, 24 Feb 2021 19:50:09 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46594: [External] : bug#46594: Use short answers
Organization: LINKOV.NET
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN> <834ki1tggh.fsf@HIDDEN>
Date: Wed, 24 Feb 2021 21:49:19 +0200
In-Reply-To: <834ki1tggh.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 24 Feb
 2021 21:26:38 +0200")
Message-ID: <87h7m1gsao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: larsi@HIDDEN, 46594 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> +** New variable 'use-short-answers' to use 'y-or-n-p' instead of 'yes-or-no-p'.
>> +This relieves of the need to define an alias that maps one to another
>> +in the init file.
>
> is this only about y-or-n-p vs yes-or-no-p?  Or do we expect to use
> this variable for other answers?  In the former case, perhaps the name
> of the variable should include "yes-or-no" somewhere, since
> "use-short-answers" sounds too general to hint on its use, IMO.

This is not only about about y-or-n-p/yes-or-no-p.  It also affects
the function 'read-answer' and its option 'read-answer-short'.

BTW, a related question: maybe recently added 'y-or-n-p-use-read-key'
and 'read-char-choice-use-read-key' could be joined into one option,
e.g. 'use-read-key'?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 24 Feb 2021 19:27:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 14:27:18 2021
Received: from localhost ([127.0.0.1]:35981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEzoc-0004oS-EI
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 14:27:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lEzoZ-0004oE-Pl
 for 46594 <at> debbugs.gnu.org; Wed, 24 Feb 2021 14:27:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40371)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lEzoU-0006oH-3C; Wed, 24 Feb 2021 14:27:10 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2003
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lEzoG-0002Nw-LC; Wed, 24 Feb 2021 14:26:59 -0500
Date: Wed, 24 Feb 2021 21:26:38 +0200
Message-Id: <834ki1tggh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87v9ahi9uk.fsf@HIDDEN> (message from Juri Linkov on
 Wed, 24 Feb 2021 20:44:51 +0200)
Subject: Re: bug#46594: [External] : bug#46594: Use short answers
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 <87v9ahi9uk.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: larsi@HIDDEN, 46594 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Date: Wed, 24 Feb 2021 20:44:51 +0200
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
>  "46594 <at> debbugs.gnu.org" <46594 <at> debbugs.gnu.org>
> 
> +** New variable 'use-short-answers' to use 'y-or-n-p' instead of 'yes-or-no-p'.
> +This relieves of the need to define an alias that maps one to another
> +in the init file.

is this only about y-or-n-p vs yes-or-no-p?  Or do we expect to use
this variable for other answers?  In the former case, perhaps the name
of the variable should include "yes-or-no" somewhere, since
"use-short-answers" sounds too general to hint on its use, IMO.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 24 Feb 2021 18:48:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 13:48:10 2021
Received: from localhost ([127.0.0.1]:35937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEzCk-0001mZ-7V
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 13:48:10 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:45509)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lEzCZ-0001l6-O3
 for 46594 <at> debbugs.gnu.org; Wed, 24 Feb 2021 13:48:00 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 1870F1C000C;
 Wed, 24 Feb 2021 18:47:51 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : bug#46594: Use short answers
Organization: LINKOV.NET
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
 <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
Date: Wed, 24 Feb 2021 20:44:51 +0200
In-Reply-To: <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
 (Drew Adams's message of "Mon, 22 Feb 2021 17:13:28 +0000")
Message-ID: <87v9ahi9uk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46594
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "46594 <at> debbugs.gnu.org" <46594 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

>> > This is a related option, but I'm not sure if it should be mentioned
>> > in the docstring.  Maybe a simple reference should be sufficient?
>> 
>> I think mentioning it in the `yes-or-no-p' doc string would be good.
>
> I think that the doc for this option should explicitly discourage
> using the value that abbreviates, and say why.
>
> It should say that `yes-or-no-p' is _intended_ to be used when it's
> thought that you should not respond too quickly.  At least point that
> out, for users to think about before customizing.

Thanks for suggestions.  Now below is a new patch with these changes.

> Presumably this option is being added because there are apparently
> a lot of users who don't want to be slowed down by `yes-or-no-p'.
> But that's exactly the point of `yes-or-no-p'.

For many users using longer answers doesn't protect from mistakes.
Sometimes I execute a command without verifying if it's right,
e.g. first running a harmless command, then a more dangerous,
then I forget about the last command, and thinking that the last one
was the harmless command, quickly type a key sequence 'M-! M-p RET'.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=use-short-answers.patch

diff --git a/etc/NEWS b/etc/NEWS
index 2bad41f5ee..590fea5c97 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -2408,6 +2408,11 @@ and display the result.
 When non-nil, then functions 'read-char-choice' and 'y-or-n-p' (respectively)
 use the function 'read-key' to read a character instead of using the minibuffer.
 
+---
+** New variable 'use-short-answers' to use 'y-or-n-p' instead of 'yes-or-no-p'.
+This relieves of the need to define an alias that maps one to another
+in the init file.
+
 +++
 ** 'set-window-configuration' now takes an optional 'dont-set-frame'
 parameter which, when non-nil, instructs the function not to select
diff --git a/lisp/cus-start.el b/lisp/cus-start.el
index c0a4a6dda0..d17c419c36 100644
--- a/lisp/cus-start.el
+++ b/lisp/cus-start.el
@@ -302,6 +302,7 @@ minibuffer-prompt-properties--setter
 	     ;; fns.c
 	     (use-dialog-box menu boolean "21.1")
 	     (use-file-dialog menu boolean "22.1")
+	     (use-short-answers menu boolean "28.1")
 	     (focus-follows-mouse
               frames (choice
                       (const :tag "Off (nil)" :value nil)
diff --git a/lisp/emacs-lisp/map-ynp.el b/lisp/emacs-lisp/map-ynp.el
index 14112a1c14..86a0c76fd1 100644
--- a/lisp/emacs-lisp/map-ynp.el
+++ b/lisp/emacs-lisp/map-ynp.el
@@ -265,7 +265,8 @@ read-answer-short
   "If non-nil, `read-answer' accepts single-character answers.
 If t, accept short (single key-press) answers to the question.
 If nil, require long answers.  If `auto', accept short answers if
-the function cell of `yes-or-no-p' is set to `y-or-n-p'."
+`use-short-answers' is non-nil, or the function cell of `yes-or-no-p'
+is set to `y-or-n-p'."
   :type '(choice (const :tag "Accept short answers" t)
                  (const :tag "Require long answer" nil)
                  (const :tag "Guess preference" auto))
@@ -304,7 +305,8 @@ read-answer
 
 When `use-dialog-box' is t, pop up a dialog window to get user input."
   (let* ((short (if (eq read-answer-short 'auto)
-                    (eq (symbol-function 'yes-or-no-p) 'y-or-n-p)
+                    (or use-short-answers
+                        (eq (symbol-function 'yes-or-no-p) 'y-or-n-p))
                   read-answer-short))
          (answers-with-help
           (if (assoc "help" answers)
diff --git a/src/fns.c b/src/fns.c
index c16f9c6399..7ab4bb525d 100644
--- a/src/fns.c
+++ b/src/fns.c
@@ -2873,6 +2873,11 @@ DEFUN ("yes-or-no-p", Fyes_or_no_p, Syes_or_no_p, 1, 1, 0,
       return obj;
     }
 
+  if (use_short_answers)
+    {
+      return call1 (intern ("y-or-n-p"), prompt);
+    }
+
   AUTO_STRING (yes_or_no, "(yes or no) ");
   prompt = CALLN (Fconcat, prompt, yes_or_no);
 
@@ -5904,6 +5909,15 @@ syms_of_fns (void)
 this variable.  */);
   use_file_dialog = true;
 
+  DEFVAR_BOOL ("use-short-answers", use_short_answers,
+    doc: /* Non-nil means `yes-or-no-p' uses shorter answers "y" or "n".
+It's discouraged to use single-key answers because `yes-or-no-p' is
+intended to be used when it's thought that you should not respond too
+quickly, and giving the wrong answer would have serious consequences.
+When non-nil, it uses `y-or-n-p'.  In this case it means also obeying
+the value of `y-or-n-p-use-read-key'.  */);
+  use_short_answers = false;
+
   defsubr (&Sidentity);
   defsubr (&Srandom);
   defsubr (&Slength);

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 22 Feb 2021 17:13:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 12:13:40 2021
Received: from localhost ([127.0.0.1]:57433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEEmC-00032b-Gn
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:13:40 -0500
Received: from userp2120.oracle.com ([156.151.31.85]:33842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lEEm8-00032M-9e
 for 46594 <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:13:39 -0500
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11MH4ODG144642;
 Mon, 22 Feb 2021 17:13:30 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=YxbKjUDP0w+bvppZ0SrggQRXlB2XgaHmqVPAzx+4J4c=;
 b=VkPYvwUnqhDWqLlIytQKcM/EE0bfH1kH7Vl/i20UM2EfeCSP0HkL+pK6UaFOET5dmyOW
 ghbGNLvwKiK2LS+kh33efbZ5hy4AGng9Tk7gf82OYBguOHg+qhRkSlbozixRSWPRdtE1
 v3SUXzgeRkmFu2vn61yaCLYCwsGi5KB8vCjovISZdE2sHnJqYHla5w0S58VOSBVaznPZ
 eewOyCaQJfxzPdJmeKEfn0X1gUgLqYUwL7yc5IqqlPq41Odpa+E2S15qQe79BfCB7kl5
 Vj/6Ic8pgljEDJ0eLARjDmHzNJnIuB5C9slieLmSywYMCmJw/ttgZdvbLil44fokHXv+ WQ== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2120.oracle.com with ESMTP id 36ugq3b9ee-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Feb 2021 17:13:30 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11MHAVCJ069784;
 Mon, 22 Feb 2021 17:13:29 GMT
Received: from nam02-sn1-obe.outbound.protection.outlook.com
 (mail-sn1nam02lp2057.outbound.protection.outlook.com [104.47.36.57])
 by aserp3020.oracle.com with ESMTP id 36ucaxamk5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Feb 2021 17:13:29 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=WEgWvo3cJ4ZaAxf1Mn6C90lzPRA1lSu3qCc96ngXKtGtohDalkgvDbQQK5hyvvAMK8Mb7Sd+DwpN2VkUCa+lQKQc1W8dvJty4JUAFVw/CLtSNAy5ZlLqaicnXCVQBRaV+VuEyM/AzLYi1IFbVDknsKKs2aIZywTp1NeEiEx1gtVJJmFtxIab+CmN1ZC5me5Hp3i+fn7++NSVzMbwrReIsxrUabOUgCBfiYV6BE656Y3pWH6oZ2SK6J1yK0UL6LorZoxMpRBjGxXtkLH5hHITs4kLn6knTHUZUq5KhRRY1i6Tw0tutyBCiRuFQBmtKS3qQUs9szf+FSkRDEW3lJYfJA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YxbKjUDP0w+bvppZ0SrggQRXlB2XgaHmqVPAzx+4J4c=;
 b=LF7AQpFPMoEXg7JNQP7RM5z2XOrpVOoQK/lqDZ2DEgMiesH8z+70Kw3Vu3LNN5Qp/dxU71z8tvKEDqCBzXnShBbzZKyhldajNvu3tfzqZgXu3xZXG5hgyQRE5UlC7/MAsJsSZ7OupYTXqTqZ2DPkKg6GIg8+QJxB4Xn2GmJJu1IZL9b52omPgDVKnwLcyZ8qfgkiJjZM5EXqhZ99hA0cY8R0QFG4xAPoJt68nxi+mvBLCoBqmgS2NS7yFPj+AuOZLGoKq2qohM20isNojHxilsK2XHnUIpl7fTIMuu3qSiXZoL6wi7y8W7JVrCSz21qpfusN2ET/Z50XF5ViAq17ng==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YxbKjUDP0w+bvppZ0SrggQRXlB2XgaHmqVPAzx+4J4c=;
 b=0IR2iRQp1HCdGrhYxLzWPVezqjuuA5s5pseAfFEHzqkwuRmmICeBBK3AlPnIbzBcgf4bO8pfQAI+4MvHGCkctGGsN/jUzTVvb/D31CArAbSa1RXwB98kICbGLiUHXKXFFAADSPJVsooYy8RxYUCiaWQl4wolPIgkx/r37Bmun84=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2672.namprd10.prod.outlook.com (2603:10b6:805:4c::31)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3825.17; Mon, 22 Feb
 2021 17:13:28 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.032; Mon, 22 Feb 2021
 17:13:28 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Juri Linkov <juri@HIDDEN>
Subject: RE: [External] : bug#46594: Use short answers
Thread-Topic: [External] : bug#46594: Use short answers
Thread-Index: AQHXCS5y7F4dbFjeJ0SmUyWc2/B4hapkZlBA
Date: Mon, 22 Feb 2021 17:13:28 +0000
Message-ID: <SA2PR10MB44745B76A7A6BBBDBD62D6FCF3819@HIDDEN>
References: <87im6qikpo.fsf@HIDDEN> <878s7gjftt.fsf@HIDDEN>
In-Reply-To: <878s7gjftt.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 6ac530c7-f99a-4a8d-9266-08d8d7552bec
x-ms-traffictypediagnostic: SN6PR10MB2672:
x-microsoft-antispam-prvs: <SN6PR10MB2672BC00F0A0025FF2F26DB4F3819@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: /52dkAR35Y0rd2Aq0twe0fM/uWcMO8C2mxUGb1dEHnPJUiSD110NTGaqs+mI9zFiho6nijFcWKzJc75g2SSR/AV81gguHjOM0BqrizBB2xH3hfOHJ/0zMuPh1YHNM047YfzoAVdn/6c3J3ewRHdCTlaziHQCyzEKMmOevQDZ/jKhiJQVRjOd5jgDNZYGUTCFncw7C7iIbGstm2mLeEDYVQ0yPaE/VYnn6rIif8PuhYeaBETxMleUs0KhWD17Dr5ReVKayPovHn6eZgMqWi6zZQn9rFTq1pRZ/s/I2JNsyPgj5rzVLYRIEEULNNPPlhWpdNjgLtVb4xzgH/VZ9DVFLGQV8TOEiYuQQjLvdZ9KYznmsASkEfYjGAjbaUcuJgBs/2fzkjNeW2d9405kaNCj1vse5RrKXmxRP4JufQ+uzWgJ7ro4eomzyuWF2iNXmLKNGDgMANMsdtwxJczeRdJiJ6KglN2seovBEJeafd2oN93IRrTN06rzAgozKLxcUxuyg6V4yO6R+Q43h5uQEcteBB715uZ/xCSiOeaPsAfnYE/MgKk3l5FcUrGIQMyRWm+HlduH0HSvDexn4akFdWjZ0Plq0qjW4Ysc6VPqUGydcmk=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(39860400002)(136003)(396003)(376002)(366004)(346002)(2906002)(52536014)(5660300002)(8676002)(55016002)(9686003)(33656002)(66946007)(66446008)(66556008)(76116006)(66476007)(83380400001)(7696005)(64756008)(6506007)(316002)(4326008)(186003)(26005)(86362001)(8936002)(44832011)(478600001)(966005)(110136005)(71200400001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?1ymVY5TAQMXy65Nrf0H+lm+K4QSO8FZmp64W8UXaX++VwBhO7Qnwq0ynS3Qy?=
 =?us-ascii?Q?UcQ/UEnUIV0Y+vvWcJjAii8XqL+Cfmb4Srwr8uOQxgoP6BR5GHZqTd2H/XK3?=
 =?us-ascii?Q?L1GUloXQ014NsShPD9hXYG0laM2CxBev+lZtBaTUyV2XucNp51C+W+ibRl6v?=
 =?us-ascii?Q?Lw3xkR0SQK46Kru7PQLDAUUtwvI9FUgVP4t9Nfoa3Fnk0KoYRzSG0PRfKxLY?=
 =?us-ascii?Q?p8sATFtQTWQNPFDwpsWRXClXLmVvV2Z4smv9HoKsvZSeHC0B/FmqINb2hLxF?=
 =?us-ascii?Q?yA4LrD2V7yViEQTkoUCMTfgYhdywbrxIHlx1tbXWtu+s7ND+uur7F0IZh+oM?=
 =?us-ascii?Q?Neo7EYBxDBmbizQ9IHDiAinTOIygpCaNYdAaeVZ0+BcHawJ4wKhuUWhbKwE2?=
 =?us-ascii?Q?WfdWoBnb+n+BFvQyR3T2xo94inTx4t5bzmOssQZDDoe8a03KJ6llkh0CBHL1?=
 =?us-ascii?Q?UrADomqB8JUjr8iAi9tZzytGKiclZwAbsUjB75lXOWCo9sEb0wqooCYm0tRG?=
 =?us-ascii?Q?WdvZRhnsEi4Shm/rjtEn4XSZBopWxq41OybhxvU3hW1erJV19Zv5Vy4RdDQs?=
 =?us-ascii?Q?CKQcFVUO4BlRCw1KtclcbIRKg5pZYpMFzRU3Inpht4mkrpwsIcQE8NGhy2Vp?=
 =?us-ascii?Q?TafG5cFQEqVP1Rpcbs1hFL0EFne0zgt6FlFQPc0VWB4WrMCVxaC3HncmbBjI?=
 =?us-ascii?Q?IADNTKxTqOxZIAXajYLAjMURsw1SSa/S5U7X2uxLD5sNzr4qazFObNLJhYdb?=
 =?us-ascii?Q?CKB57yHZGogkOElJfHuKFCeBLHm8Cm6rLfL4sOGXwsU6OspqcWDtyBV2yyZr?=
 =?us-ascii?Q?lyiRppqQw28sid9osHPR67hyybJfziCO/F8vB0ESH+43FoKqgv74ZnIlXAvH?=
 =?us-ascii?Q?yvejKz6MS1dHVgrygMbEIYkzjwcsDSUHgMOORz7K+OaAr2B9++X9YlVgkdRw?=
 =?us-ascii?Q?7ZQd5Rq/q9c3lWi3Q4eCzWBS5UeQjsj1TyrurA4MwWk6zhyunpuqLLN9KPEM?=
 =?us-ascii?Q?ckWbF6+7FG2NU1nIK7ScFLRB9qzWTv9T2gliWrsXKHrcZX2D8xvnAJY+XeCJ?=
 =?us-ascii?Q?/UnC87hTGHMhWNEQGUCdXScfFFsBmhv1tJZNo1SUP4ZK6WzWDrlPSEmfxUS1?=
 =?us-ascii?Q?kaBMGS8B+Qnyc2C/x5eNU4N4qtlT86QBcUoOHErmFt5PwhoIUHySFoB94fR8?=
 =?us-ascii?Q?MbJlEkl6VpdvBVf2e5pVf7VNR3DvE9985o7Nbpd7vGfZd7mvM6N9GDHRY6+N?=
 =?us-ascii?Q?TjZHLIVQm2LAZ6JMqeqezgVqSKhSDtZaF2AR/DscYFroanePa0qTkR+zvSR3?=
 =?us-ascii?Q?FI0Czu7oLxPcrH3dtKtbS4w+?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 6ac530c7-f99a-4a8d-9266-08d8d7552bec
X-MS-Exchange-CrossTenant-originalarrivaltime: 22 Feb 2021 17:13:28.1314 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: pK7jGsyPLZa6uCrhvjIV5O58RzA+2RtLeQSm5IhZNSYmsZBuiK++Ktac7/Ru/I9esOWvLYvyppGrK7hnhdt+mA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2672
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9903
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 suspectscore=0
 malwarescore=0 mlxlogscore=999 adultscore=0 bulkscore=0 mlxscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102220154
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9903
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 phishscore=0
 malwarescore=0 spamscore=0 mlxscore=0 suspectscore=0 priorityscore=1501
 clxscore=1011 impostorscore=0 lowpriorityscore=0 mlxlogscore=999
 bulkscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102220153
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46594
Cc: "46594 <at> debbugs.gnu.org" <46594 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > As discussed in
> > https://urldefense.com/v3/__https://lists.gnu.org/archive/html/emacs-
> devel/2020-12/msg01915.html__;!!GqivPVa7Brio!PKOEWigE5iDrORKbgYbHKSe-
> DDgDExr74sBYZX3qybMC-I407gDeDkA8tD-MtISo$
> > here is an option that accomplishes the mapping of
> > (defalias 'yes-or-no-p 'y-or-n-p)
>=20
> Makes sense to me -- having a variable instead of this extremely common
> defalias is better design.

Is it?  Jaywalking is extremely common (and I'm a major offender), but it's=
 against the law for a reason: saves lives.  Speeding is extremely common, =
but speed limits are there for a reason.  Etc.

> > This is a related option, but I'm not sure if it should be mentioned
> > in the docstring.  Maybe a simple reference should be sufficient?
>=20
> I think mentioning it in the `yes-or-no-p' doc string would be good.

I think that the doc for this option should explicitly discourage using the=
 value that abbreviates, and say why.

It should say that `yes-or-no-p' is _intended_ to be used when it's thought=
 that you should not respond too quickly.  At least point that out, for use=
rs to think about before customizing.

Otherwise, we're, in effect, encouraging `y-or-n-p' behavior, in the end.  =
There's a reason Emacs has two such UIs.

Yes, whoever writes code that uses one of them might sometimes use judgment=
 that a given user might disagree with.  But this option doesn't affect jus=
t one or two poor uses of such a function - it affects all of them.

Presumably this option is being added because there are apparently a lot of=
 users who don't want to be slowed down by `yes-or-no-p'.  But that's exact=
ly the point of `yes-or-no-p'. =20

Users who really want to always get `y-or-n-p' behavior have gone to the tr=
ouble of adding an alias.  That's not a lot of trouble.  Maybe the fact tha=
t they've had to jump that extra hurdle was a good, not a bad, thing?

Users can turn off automatic backup of files, and all kinds of things that =
they might find as bothersome or cumbersome.  Such things are there to prot=
ect us from shooting ourselves in the foot - by default.  It's fine to have=
 user options to turn off such protection (we have option `make-backup-file=
s', for instance.  But it can also be a good idea for the doc to point out =
the possible downsides.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at 46594 <at> debbugs.gnu.org:


Received: (at 46594) by debbugs.gnu.org; 22 Feb 2021 15:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 10:13:46 2021
Received: from localhost ([127.0.0.1]:57091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lECuA-0003uj-7n
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:13:46 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lECu7-0003uU-Q6
 for 46594 <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:13:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=l1QzGl0mV3GUwlmU89/VBBOakaZbJsmhV4yIfyYIRZU=; b=CE4J+iEgJHQvkXwCJyoQHIvr6K
 DvQlxzVU5rOz1h8OxeYyfbmKJ89jqnUVa7yHNFDZe007k1M0/IOhgABsJW8AP0+n177x1+f5swfmS
 mCqppxdy6NGEFn3gk0wBag1vupT2HjtXITN958kwOdDJO9KBUptOTi9/hDnHm3DvhjpU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lECtz-0006Pb-DH; Mon, 22 Feb 2021 16:13:37 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#46594: Use short answers
References: <87im6qikpo.fsf@HIDDEN>
X-Now-Playing: Hugo Largo's _Turtle Song_: "Gloria (Angels We Have Heard On
 High)"
Date: Mon, 22 Feb 2021 16:13:34 +0100
In-Reply-To: <87im6qikpo.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 17 Feb 2021 20:59:47 +0200")
Message-ID: <878s7gjftt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > As discussed in >
 https://lists.gnu.org/archive/html/emacs-devel/2020-12/msg01915.html > here
 is an option that accomplishes the mapping of > (defalias 'yes-or-no-p
 'y-or-n-p)
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46594
Cc: 46594 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> As discussed in
> https://lists.gnu.org/archive/html/emacs-devel/2020-12/msg01915.html
> here is an option that accomplishes the mapping of
> (defalias 'yes-or-no-p 'y-or-n-p)

Makes sense to me -- having a variable instead of this extremely common
defalias is better design.

> This is a related option, but I'm not sure if it should be mentioned
> in the docstring.  Maybe a simple reference should be sufficient?

I think mentioning it in the `yes-or-no-p' doc string would be good.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Feb 2021 19:10:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 17 14:10:08 2021
Received: from localhost ([127.0.0.1]:44969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lCSD9-0003u8-Mq
	for submit <at> debbugs.gnu.org; Wed, 17 Feb 2021 14:10:08 -0500
Received: from lists.gnu.org ([209.51.188.17]:36392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lCSD8-0003tz-A6
 for submit <at> debbugs.gnu.org; Wed, 17 Feb 2021 14:10:06 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43598)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1lCSD8-0003ss-4X
 for bug-gnu-emacs@HIDDEN; Wed, 17 Feb 2021 14:10:06 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:49967)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1lCSD5-0003ZU-5m
 for bug-gnu-emacs@HIDDEN; Wed, 17 Feb 2021 14:10:05 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id C71201BF20D
 for <bug-gnu-emacs@HIDDEN>; Wed, 17 Feb 2021 19:09:57 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Use short answers
Organization: LINKOV.NET
Date: Wed, 17 Feb 2021 20:59:47 +0200
Message-ID: <87im6qikpo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=217.70.183.201; envelope-from=juri@HIDDEN;
 helo=relay8-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain

Tags: patch

As discussed in
https://lists.gnu.org/archive/html/emacs-devel/2020-12/msg01915.html
here is an option that accomplishes the mapping of
(defalias 'yes-or-no-p 'y-or-n-p)

> It's a bit more than just
>
>   Non-nil means `yes-or-no-p' uses shorter answers "y" or "n".
>
> because short circuiting it to 'y-or-n-p' means it will also obey
> 'y-or-n-p-use-read-key'.

This is a related option, but I'm not sure if it should be mentioned
in the docstring.  Maybe a simple reference should be sufficient?

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=use-short-answers.patch

diff --git a/lisp/cus-start.el b/lisp/cus-start.el
index c0a4a6dda0..d17c419c36 100644
--- a/lisp/cus-start.el
+++ b/lisp/cus-start.el
@@ -302,6 +302,7 @@ minibuffer-prompt-properties--setter
 	     ;; fns.c
 	     (use-dialog-box menu boolean "21.1")
 	     (use-file-dialog menu boolean "22.1")
+	     (use-short-answers menu boolean "28.1")
 	     (focus-follows-mouse
               frames (choice
                       (const :tag "Off (nil)" :value nil)
diff --git a/lisp/emacs-lisp/map-ynp.el b/lisp/emacs-lisp/map-ynp.el
index 14112a1c14..6be57a4fca 100644
--- a/lisp/emacs-lisp/map-ynp.el
+++ b/lisp/emacs-lisp/map-ynp.el
@@ -304,7 +304,8 @@ read-answer
 
 When `use-dialog-box' is t, pop up a dialog window to get user input."
   (let* ((short (if (eq read-answer-short 'auto)
-                    (eq (symbol-function 'yes-or-no-p) 'y-or-n-p)
+                    (or use-short-answers
+                        (eq (symbol-function 'yes-or-no-p) 'y-or-n-p))
                   read-answer-short))
          (answers-with-help
           (if (assoc "help" answers)
diff --git a/src/fns.c b/src/fns.c
index c16f9c6399..f51ef2781d 100644
--- a/src/fns.c
+++ b/src/fns.c
@@ -2873,6 +2873,11 @@ DEFUN ("yes-or-no-p", Fyes_or_no_p, Syes_or_no_p, 1, 1, 0,
       return obj;
     }
 
+  if (use_short_answers)
+    {
+      return call1 (intern ("y-or-n-p"), prompt);
+    }
+
   AUTO_STRING (yes_or_no, "(yes or no) ");
   prompt = CALLN (Fconcat, prompt, yes_or_no);
 
@@ -5904,6 +5909,10 @@ syms_of_fns (void)
 this variable.  */);
   use_file_dialog = true;
 
+  DEFVAR_BOOL ("use-short-answers", use_short_answers,
+    doc: /* Non-nil means `yes-or-no-p' uses shorter answers "y" or "n".  */);
+  use_short_answers = false;
+
   defsubr (&Sidentity);
   defsubr (&Srandom);
   defsubr (&Slength);

--=-=-=--




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46594; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Feb 2021 19:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.